Public Member Functions | List of all members
clan::ApplicationInstancePrivate Class Referenceabstract
clanApp System

`#include <clanapp.h>`

Inheritance diagram for clan::ApplicationInstancePrivate:

## Public Member Functions
| ApplicationInstancePrivate (bool catch_exceptions=true)
virtual std::unique_ptr< Application > | create ()=0

## Constructor & Destructor Documentation

clan::ApplicationInstancePrivate::ApplicationInstancePrivate | ( | bool | catch_exceptions = `true` | ) |

## Member Function Documentation

virtual std::unique_ptr<Application> clan::ApplicationInstancePrivate::create | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- clanapp.h